### 2.18 `creal`, `crealf`, `creall`—real part

Synopsis

         #include <complex.h>
         double creal(double complex z);
         float crealf(float complex z);
         double long creall(long double complex z);

Description
These functions compute the real part of z.

`crealf` is identical to `creal`, except that it performs its calculations on `float complex`.

`creall` is identical to `creal`, except that it performs its calculations on `long double complex`.

Returns
The creal* functions return the real part value.

Portability
`creal`, `crealf` and `creall` are ISO C99